package user_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type UserChangemobileRequest struct {
	// <ext>core:true;format:phone</ext> 【用户旧手机号】用户旧手机号 【传参】 手机号允许使用大陆、港澳台、国际手机号，手机号格式为：区号+空格+手机号，例：852 9xxxxxxx ，大陆手机号可以不传区号。
	OldMobile string `json:"oldMobile"`
	// <ext>core:true;format:phone</ext> 【用户新手机号】用户新手机号 【传参】 手机号允许使用大陆、港澳台、国际手机号，手机号格式为：区号+空格+手机号，例：852 9xxxxxxx ，大陆手机号可以不传区号。
	NewMobile string `json:"newMobile"`
	// <ext>core:true</ext> 【回调地址】回调地址 【作用】 接口页面完成业务活动后向回调地址回调相关信息
	CallbackUrl string `json:"callbackUrl,omitempty"`
}

func (obj UserChangemobileRequest) GetUrl() string {
	return "/user/changemobile"
}

func (obj UserChangemobileRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	parameter.AddParam("oldMobile", obj.OldMobile)
	parameter.AddParam("newMobile", obj.NewMobile)
	parameter.AddParam("callbackUrl", obj.CallbackUrl)
	return parameter
}
